Last modified: 2014-05-12 20:57:02 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 46745 - MobileFrontend doesn't support PostgreSQL
MobileFrontend doesn't support PostgreSQL
Status: RESOLVED FIXED
Product: MobileFrontend
Classification: Unclassified
Feature requests (Other open bugs)
unspecified
All All
: Low enhancement
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: postgres
  Show dependency treegraph
 
Reported: 2013-03-31 23:50 UTC by Max Semenik
Modified: 2014-05-12 20:57 UTC (History)
10 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Max Semenik 2013-03-31 23:50:43 UTC
For example, mobile watchlist query fails.
Comment 1 Michelle Grover 2013-04-28 17:07:46 UTC
Assigned Mingle Ticket https://mingle.corp.wikimedia.org/projects/mobile/cards/713
Comment 2 Jon 2013-12-27 08:00:03 UTC
Status? Do we really want to fix this?
Comment 3 Jeff Janes 2014-04-30 01:31:00 UTC
Regarding "Do we really want to fix this", is that a philosophical question or a pragmatic one?  Using select "table.*" seems like generally bad practice, and in this case should be easy enough to fix (provided that wl_notificationtimestamp is not actually used, which it seems not to be).  But will it turn into a never ending game of whack-a-mole?
Comment 4 Andre Klapper 2014-05-01 15:32:13 UTC
(In reply to Jon from comment #2)
> Status? Do we really want to fix this?

And who is "we"? Mobile team? Community? If mobile team wouldn't want to fix it, would it still accept and review contributed patches to fix this?
Comment 5 Jon 2014-05-01 15:52:40 UTC
It's an open question. We can be anyone. I don't know how much work is involved in this and I wasn't sure who cared about this and there has been no activity on the bug since it was opened a year ago. Now we have 2 comments so I suceeded in my goal )
Comment 6 Arthur Richards 2014-05-01 17:28:44 UTC
At the risk of speaking for the WMF mobile team's product owner, this is not something the mobile team will work on - at least not in an organized/prioritized/etc way - any time soon (we may need to revisit this if/when mobile functionality gets moved to core). In the meantime, if anyones wants to pick this up and work on it otherwise, I think that would be swell - after all, MediaWiki core is compatible with Postgres (https://www.mediawiki.org/wiki/Manual:Installation_requirements).
Comment 7 Gerrit Notification Bot 2014-05-09 22:45:37 UTC
Change 132586 had a related patch set uploaded by Jjanes:
Fix watchlist query to work with PostgreSQL

https://gerrit.wikimedia.org/r/132586
Comment 8 Gerrit Notification Bot 2014-05-12 20:56:26 UTC
Change 132586 merged by jenkins-bot:
Fix watchlist query to work with PostgreSQL

https://gerrit.wikimedia.org/r/132586

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links